com.mockobjects.jms

## Class MockQueueConnection

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.jms.MockConnection
    - - com.mockobjects.jms.MockQueueConnection

All Implemented Interfaces:
  Verifiable

    public class MockQueueConnection
    extends MockConnection

### Constructor Summary

Constructors
Constructor and Description
`MockQueueConnection()`

### Method Summary

Methods
`ConnectionConsumer` `createConnectionConsumer(Queue queue, java.lang.String messageSelector, ServerSessionPool sessionPool, int mexMessages)`
`QueueSession` `createQueueSession(boolean transacted, int acknowledgeMode)`
`void` `setupQueueSession(QueueSession queueSession)`

### Methods inherited from class com.mockobjects.jms.MockConnection

`close, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, setExpectedCloseCalls, setExpectedStartCalls, setExpectedStopCalls, setupThrowException, start, stop`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MockQueueConnection

    public MockQueueConnection()

### Method Detail

#### createConnectionConsumer

    public ConnectionConsumer createConnectionConsumer(Queue queue,
                                              java.lang.String messageSelector,
                                              ServerSessionPool sessionPool,
                                              int mexMessages)
                                                throws JMSException

Throws:
  `JMSException`

#### createQueueSession

    public QueueSession createQueueSession(boolean transacted,
                                  int acknowledgeMode)
                                    throws JMSException

Throws:
  `JMSException`

#### setupQueueSession

    public void setupQueueSession(QueueSession queueSession)